Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config
Interface RuntimeConfiguration

All Superinterfaces:
  java.io.Serializable

    public interface RuntimeConfiguration

extends java.io.Serializable

RuntimeConfiguration

Author:
  Jason Carreira Created Feb 25, 2003 10:56:02 PM

Method Summary
`ActionConfig` | `getActionConfig(java.lang.String namespace, java.lang.String name)` get the fully expanded ActionConfig for a specified namespace and (action) name
`java.util.Map<java.lang.String,java.util.Map<java.lang.String,ActionConfig>>` | `getActionConfigs()` returns a Map of all the registered ActionConfigs.

Method Detail

### getActionConfig

    ActionConfig getActionConfig(java.lang.String namespace,
                                 java.lang.String name)

  get the fully expanded ActionConfig for a specified namespace and (action) name

  Parameters:
    `namespace` - the namespace of the Action. if this is null, then the empty namespace, "", will be used
    `name` - the name of the Action. may not be null.
  Returns:
    the requested ActionConfig or null if there was no ActionConfig associated with the specified namespace and name

### getActionConfigs

    java.util.Map<java.lang.String,java.util.Map<java.lang.String,ActionConfig>> getActionConfigs()

  returns a Map of all the registered ActionConfigs. Again, these ActionConfigs are fully expanded so that any inherited interceptors, results, etc. will be included

  Returns:
    a Map of Map keyed by namespace and name respectively such that

                         ActionConfig config = (ActionConfig)((Map)getActionConfigs.get(namespace)).get(name);

    should return a valid config for valid namespace/name pairs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.